### Method

# GIRepository Repository get_shared_libraries

since: 2.80

#### Declaration [src]

    const char* const*
    gi_repository_get_shared_libraries (
      GIRepository* repository,
      const char* namespace_,
      size_t* out_n_elements
    )

#### Description [src]

This function returns an array of paths to the shared C libraries associated with the given namespace `namespace_`.

There may be no shared library path associated, in which case this function will return `NULL`.

Note: The namespace must have already been loaded using a function such as `gi_repository_require()` before calling this function.

The list is internal to `GIRepository` and should not be freed, nor should its string elements.

The list is guaranteed to be `NULL` terminated. The `NULL` terminator is not counted in `out_n_elements`.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace to inspect.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_n_elements`

  Type: `size_t*`

  Return location for the number of elements in the returned array.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

Array of paths to shared libraries, or `NULL` if none are associated.

The length of the array is in the `out_n_elements` argument.
The returned data is owned by the instance.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.